*,
*::after,
*::before {
  box-sizing: border-box;
}

body {
    background-color: rgb(22,22,22);
    color: white;
    text-align: center;
    font-family: 'Roboto', sans-serif;
}
#up {
    font-size: 25px;
    font-weight: bold;
    background-color: rgb(26, 23, 23);
    padding: 5px;
    display: flex;
    align-items: center;
    width: 100%;
    top: 0;
}
#nav {
    position: fixed;
    width: calc(100% - 15px);
    z-index: 1;
    top: 0;
}

#progress-bar {
    --progress: 0;
    height: 6px;
    width: var(--progress);
    background-color: purple;
}

#logo {
    padding: 5px;
    text-align: center;
    font-size: 40px;
}
#icons {
    padding: 5px;
    margin-left: auto;
    margin-right: 1px;
}


#content {
    background-color: rgba(33, 33, 33);
    padding-bottom: 20px;
    padding-top: 75px;
    width: 100%;
}

@media (max-width: 600px) {
    #content {
      padding-top: 130px;
    }
}



#othersTuto {
    background-color: rgba(33, 33, 33);
    padding-bottom: 20px;
    padding-top: 15px;
    margin-top: 15px;
    width: 100%;
}



#copy {
    clear: both;
}

#sec li {
    list-style-type: none;
    display: inline-block;
    padding-right: 15px;
    padding-left: 15px;
}

a {
    color: white;
    text-decoration: none;
}
a:hover {
    color: green;
    text-decoration: none;
}


.code {
    background-color: rgba(26, 23, 23);
    width: fit-content;
    padding: 5px;
    margin-left: auto;
    margin-right: auto;
    border-style: solid;
    border-color: green;
    word-break: break-all;
}



/* spn */
.spn-cmd {
    color: rgb(179, 21, 211);
}
.spn-name {
    color: red;
}
.spn-args {
    color: yellow;
}
.spn-count {
    color: orangered;
}
.spn-true {
    color: green;
}
.spn-false {
    color: red;
}



.slideshow-container {
  max-width: 1000px;
  position: relative;
  margin: auto;
}

.mySlides {
  display: none;
}

.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

.prev {
    left: 0;
}

.prev:hover, .next:hover {
  background-color: rgba(0,0,0,0.8);
}

.text {
  color: #f2f2f2;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
  font-weight: bold;
}

p {
    font-weight: bold;
}
